Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gnome::Gda::TransactionStatus Class Reference

Keeps track of the transactional status of a connection. More...

Inheritance diagram for Gnome::Gda::TransactionStatus:
[legend]
Collaboration diagram for Gnome::Gda::TransactionStatus:
[legend]

List of all members.

## Public Member Functions
virtual | ~TransactionStatus ()
GdaTransactionStatus* | gobj ()
| Provides access to the underlying C GObject.
const GdaTransactionStatus* | gobj () const
| Provides access to the underlying C GObject.
GdaTransactionStatus* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
TransactionIsolation | get_get_isolation_level () const
Glib::ustring | get_get_name () const
## Static Public Member Functions
static Glib::RefPtr < TransactionStatus > | create (const Glib::ustring& name)
## Protected Member Functions
| TransactionStatus (const Glib::ustring& name=Glib::ustring())
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::TransactionStatus > | wrap (GdaTransactionStatus* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Keeps track of the transactional status of a connection.

On any connection (as a Connection object), if the database provider used by the connection supports it, transactions may be started, committed or rolledback, or savepoints added, removed or rolledback. These operations can be performed using libgda's API (such as Connection::begin_transaction()), or directly using some SQL on the connection (usually a "BEGIN;" command). The TransactionStatus's aim is to make it easy to keep track of all the commands which have been issued on a connection regarding transactions.

One TransactionStatus object is automatically attached to a Connection when a transaction is started, and is destroyed when the transaction is finished. This object can be fetched using Connection::get_transaction_status() (beware that it should then not be modified).

## Constructor & Destructor Documentation

virtual Gnome::Gda::TransactionStatus::~TransactionStatus | ( | ) | `[virtual]`

Gnome::Gda::TransactionStatus::TransactionStatus | ( | const Glib::ustring & | name = `Glib::ustring()` ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<TransactionStatus> Gnome::Gda::TransactionStatus::create | ( | const Glib::ustring & | name ) | `[static]`

TransactionIsolation Gnome::Gda::TransactionStatus::get_get_isolation_level | ( | ) | const

Glib::ustring Gnome::Gda::TransactionStatus::get_get_name | ( | ) | const

const GdaTransactionStatus* Gnome::Gda::TransactionStatus::gobj | ( | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaTransactionStatus* Gnome::Gda::TransactionStatus::gobj | ( | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaTransactionStatus* Gnome::Gda::TransactionStatus::gobj_copy | ( | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::TransactionStatus > wrap | ( | GdaTransactionStatus * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/transactionstatus.h